Bug 510965 - elisa is obsoleted by moovida, please update
elisa is obsoleted by moovida, please update
Status: CLOSED DUPLICATE of bug 554243
Product: Fedora
Classification: Fedora
Component: elisa (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On: moovida
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 17:55 EDT by Valent Turkovic
Modified: 2010-01-12 01:58 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 01:58:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 438032 None None None Never

  None (edit)
Description Valent Turkovic 2009-07-12 17:55:23 EDT
Description of problem:
elisa is obsoleted by moovida, please provide moovida packages that replace elisa and bring new features.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Valent Turkovic 2009-07-12 17:58:36 EDT
matthias, I tried using your testing repo:
http://people.fluendo.com/matthias/moovida/

but it asks for freshrpms repo and I wouldn't like to mix repos and mess up my working distro, is there a way you can use rpmfusion packages?
Comment 2 Matthias Saou 2009-07-13 06:10:54 EDT
It doesn't ask for the repo, probably just the GPG key which you can download from there and install using rpm --import.
Comment 3 Alex Lancaster 2009-08-29 08:33:49 EDT
Upgrading to moovida via yum went smoothly, although there are some warning/errors on the console about versions for plugins (perhaps these are old plugins from the elisa days):

moovida 
Launcher core version: 1.0.6
Current core version: 1.0.6
WARN  MainThread      plugin_registry             Aug 29 08:27:01  plugin elisa-plugin-coherence has the following unmet dependencies: Twisted>=2.5.0 (elisa/core/plugin_registry.py:362)
WARN  MainThread      plugin_registry             Aug 29 08:27:01  plugin elisa-plugin-coherence has the following unmet dependencies: Twisted>=2.5.0 (elisa/core/plugin_registry.py:362)
WARN  MainThread      plugin_registry             Aug 29 08:27:01  plugin pipviewer has the following unmet dependencies: OpenGL>=2.0 (elisa/core/plugin_registry.py:362)
WARN  MainThread      plugin_registry             Aug 29 08:27:01  plugin Coherence has the following unmet dependencies: Twisted>=2.5.0 (elisa/core/plugin_registry.py:362)

Other than that, it seems to work in terms of the light testing I gave it.

Anyway, what's the plan for getting these into the official Fedora repos?  I think you potentially need to open up a package review (or add to the original review) to request a name change:

https://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages

It doesn't need to be a full review, I could help out with that.
Comment 4 Valent Turkovic 2009-09-07 03:54:50 EDT
Any progress? When could we see moovida in fedora 11 repos?
Comment 5 Pierre-YvesChibon 2009-09-29 12:25:03 EDT
No big deal in the update here as well but I got a number of error in the console due to :
"DeprecationWarning: BaseException.message has been deprecated as of Python 2.6"
But it works :-)


PS: I'm also interested in seeing moovida in the repo
Comment 6 Valent Turkovic 2009-10-19 16:19:53 EDT
# rpm --import RPM-GPG-KEY-freshrpms 
[root@ninsun ~]# yum install moovida -y
Loaded plugins: presto, refresh-packagekit, remove-with-leaves
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package moovida.noarch 0:1.0.6-1.fc11 set to be updated
--> Processing Dependency: moovida-base = 1.0.6-1.fc11 for package: moovida-1.0.6-1.fc11.noarch
--> Processing Dependency: moovida-plugins-bad >= 1.0.6 for package: moovida-1.0.6-1.fc11.noarch
--> Processing Dependency: moovida-plugins-good >= 1.0.6 for package: moovida-1.0.6-1.fc11.noarch
--> Running transaction check
---> Package moovida-base.noarch 0:1.0.6-1.fc11 set to be updated
---> Package moovida-plugins-bad.noarch 0:1.0.6-1.fc11 set to be updated
--> Processing Dependency: pigment-python >= 0.3.12 for package: moovida-plugins-bad-1.0.6-1.fc11.noarch
---> Package moovida-plugins-good.noarch 0:1.0.6-1.fc11 set to be updated
--> Running transaction check
---> Package pigment-python.i586 0:0.3.12-1.fc11 set to be updated
--> Processing Dependency: pigment >= 0.3.17 for package: pigment-python-0.3.12-1.fc11.i586
--> Processing Dependency: libpigment-0.3.so.11 for package: pigment-python-0.3.12-1.fc11.i586
--> Processing Dependency: libpigment-gtk-0.3.so.11 for package: pigment-python-0.3.12-1.fc11.i586
--> Processing Dependency: libpigment-imaging-0.3.so.11 for package: pigment-python-0.3.12-1.fc11.i586
--> Running transaction check
---> Package pigment.i586 0:0.3.17-1.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================================================
 Package                                      Arch                           Version                                Repository                       Size
==========================================================================================================================================================
Installing:
 moovida                                      noarch                         1.0.6-1.fc11                           moovida                          48 k
     replacing  elisa.noarch 0.5.35-1.fc11

 moovida-base                                 noarch                         1.0.6-1.fc11                           moovida                         930 k
     replacing  elisa-base.noarch 0.5.35-1.fc11

 moovida-plugins-bad                          noarch                         1.0.6-1.fc11                           moovida                         3.8 M
     replacing  elisa-plugins-bad.noarch 0.5.35-1.fc11

 moovida-plugins-good                         noarch                         1.0.6-1.fc11                           moovida                          86 k
     replacing  elisa-plugins-good.noarch 0.5.35-1.fc11

Updating for dependencies:
 pigment                                      i586                           0.3.17-1.fc11                          moovida                         214 k
 pigment-python                               i586                           0.3.12-1.fc11                          moovida                         393 k

Transaction Summary
==========================================================================================================================================================
Install       4 Package(s)
Upgrade       2 Package(s)

Total size: 5.4 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : pigment-0.3.17-1.fc11.i586                                                                                                        1/12 
  Updating       : pigment-python-0.3.12-1.fc11.i586                                                                                                 2/12 
  Installing     : moovida-base-1.0.6-1.fc11.noarch                                                                                                  3/12 
  Installing     : moovida-plugins-good-1.0.6-1.fc11.noarch                                                                                          4/12 
  Installing     : moovida-1.0.6-1.fc11.noarch                                                                                                       5/12 
  Installing     : moovida-plugins-bad-1.0.6-1.fc11.noarch                                                                                           6/12 
  Erasing        : elisa-plugins-good-0.5.35-1.fc11.noarch                                                                                           7/12 
  Cleanup        : pigment-0.3.16-1.fc11.i586                                                                                                        8/12 
  Cleanup        : pigment-python-0.3.11-1.fc11.i586                                                                                                 9/12 
  Erasing        : elisa-base-0.5.35-1.fc11.noarch                                                                                                  10/12 
  Erasing        : elisa-plugins-bad-0.5.35-1.fc11.noarch                                                                                           11/12 
  Erasing        : elisa-0.5.35-1.fc11.noarch                                                                                                       12/12 

Installed:
  moovida.noarch 0:1.0.6-1.fc11 moovida-base.noarch 0:1.0.6-1.fc11 moovida-plugins-bad.noarch 0:1.0.6-1.fc11 moovida-plugins-good.noarch 0:1.0.6-1.fc11

Dependency Updated:
  pigment.i586 0:0.3.17-1.fc11                                             pigment-python.i586 0:0.3.12-1.fc11                                            

Replaced:
  elisa.noarch 0:0.5.35-1.fc11  elisa-base.noarch 0:0.5.35-1.fc11  elisa-plugins-bad.noarch 0:0.5.35-1.fc11  elisa-plugins-good.noarch 0:0.5.35-1.fc11 

Complete!
Comment 7 Valent Turkovic 2009-10-19 16:20:31 EDT
As you can see everything went soothly. When can we expect Moovida in Fedora repos?
Comment 8 Alex Lancaster 2009-10-19 16:43:00 EDT
(In reply to comment #7)
> As you can see everything went soothly. When can we expect Moovida in Fedora
> repos?  

According to a not-well-documented FESCo decision a while back, it needs a re-review at least, which focuses mainly on getting the obsoletes/provides correct (see my comment #3).  Ideally Matthias would open the review and I could do it.  You can't have the same person doing the review as submitting AFAIK.
Comment 9 Alex Lancaster 2009-10-20 16:08:51 EDT
Umm, Valent, why did you mark 'mclasen' for NEEDINFO, did you mean Matthias Saou?
Comment 10 Alex Lancaster 2009-10-21 04:07:39 EDT
OK, I've gone ahead and opened-up bug #530021 as a review bug that hopefully Matthias can take over.  If we don't hear anything back soon from him soon (it's been over 2 months since we heard from him on this bug), I will take the place of the review submitter and somebody else can do the review.
Comment 11 Alex Lancaster 2009-11-08 18:35:56 EST
Another thing is that the moovida 1.0.6 package provided by Matthias is now getting out of date (upstream is now up to 1.0.8), and although  it will self-update, some users have reported that certain bugs (such as scanning music libraries) go away if the system-wide version is updated, see:

https://bugs.launchpad.net/fedora/+source/moovida/+bug/438032
Comment 12 Silvio Schneider 2009-11-12 10:12:20 EST
Anyplans for Fedora 12?  I just checked the beta version of Fedora 12, it is still elisa there not movida. Hope to see some progress here.
Comment 13 Graeme Gillies 2009-11-12 17:41:19 EST
Hi,

I have quickly spoken to Matthias and he is pretty busy at the moment. He was happy for me to take over as packager for Moovida, and I am cleaning up the packages at the moment and will submit a review request when complete (after F12 goes live). At this stage because the new versions of moovida need the latest version of pigment (which isn't in Fedora 11) I will initially try and get Moovida into F12, and then look at getting the latest version of pigment into F11 so I can get Moovida into F11 as well.
Comment 14 Alex Lancaster 2009-11-12 17:58:41 EST
(In reply to comment #13)
> Hi,
> 
> I have quickly spoken to Matthias and he is pretty busy at the moment. He was
> happy for me to take over as packager for Moovida, and I am cleaning up the
> packages at the moment and will submit a review request when complete (after
> F12 goes live). 

Excellent!

Actually if you could take over the review that I already lodged here: bug #530021 rather than opening up a new ticket that would be great.  I will then happily be the reviewer!  Since this is a rename, then the review can be fairly quick, as per yet-to-be-properly-documented FESCo policy:

https://fedorahosted.org/fesco/ticket/34

renames should focus mainly on getting Provides/Obsoletes right.

> At this stage because the new versions of moovida need the
> latest version of pigment (which isn't in Fedora 11) I will initially try and
> get Moovida into F12, and then look at getting the latest version of pigment
> into F11 so I can get Moovida into F11 as well.  

Actually best to build in rawhide first of course (which will be F-13 when F-12 goes live), then updating moovida for F-12 via a the updates system (bodhi).
Comment 15 Bug Zapper 2009-11-16 05:46:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Valent Turkovic 2009-12-19 18:56:08 EST
Any news? When will Moovida hit Fedora repositories?
Comment 17 Alex Lancaster 2009-12-20 17:18:58 EST
(In reply to comment #16)
> Any news? When will Moovida hit Fedora repositories?  

You should be following the review request on bug #530021.  The package ownership has been switched from Matthias to Graeme Gillies.  Matthias is now doing the re-review and will (hopefully) be sponsoring Graeme on this package (he's a new Fedora maintainer).  Currently we are waiting Matthias' final approval of the most recent update.
Comment 18 David Batson 2010-01-09 11:18:46 EST
Well, Elisa just doesn't work on my System with F12.  Didn't work with F11 either.  I was looking forward to giving Moovida a try in F12, but it seems to be taking awhile for the rpms to become available.

BTW, Elisa did work on this same computer with Mandriva 2009.1, but Moovida is not working with Mandriva 2010.
Comment 19 Alex Lancaster 2010-01-12 01:58:27 EST
By the way, a new review request has been re-opened: bug #554243.  Closing this bug as a duplicate of that bug.

*** This bug has been marked as a duplicate of bug 554243 ***

Note You need to log in before you can comment on or make changes to this bug.